<?php
/**
 * @package logout für passwortgeschützte artikel
 * @version 0.1
 */
/*
 * Plugin Name: Logout für passwortgeschützte Artikel
 * Description: Ermöglicht euch einen Logout-Button zu erstellen, welcher die Cookies von passwortgeschützten Artikeln löscht. An gewünschter Stelle folgenden HTML-Code einfügen (per html Widget zB): <code>&lt;form action='' method='post'&gt;&lt;input type='submit' name='plc' value='Logout'&gt;&lt;/form&gt;</code>
 * Author: Lily
 * Version: 0.1
 * Author URI: https://www.flauschemiez.de
 */

/*************************
 ** Keine Direktaufrufe **
 *************************/

defined('ABSPATH') or die('Nope!');

if (!defined('WPINC')) {
	die ;
}

if (!function_exists('add_action')) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}

/*****************
 ** Logout Code **
 *****************/
if (!isset($_POST['plc']))	$_POST['plc'] = "";
if($_POST['plc'] == 'Logout') {	
	$past = time() - 86400;
	foreach($_COOKIE as $name => $value) {
		if(strpos($name, 'wp-postpass_') === 0) {
        	setcookie($name, '', $past, "/");
        	unset($_COOKIE[$name]);
		}
	}
}